upstream proxy_app {
    server localhost:8000;
}

server {
  listen 8080;
  server_name localhost;

  add_header Strict-Transport-Security "max-age=31536000; includeSubDomains; preload";
  add_header Content-Security-Policy "frame-ancestors 'none'";
  add_header X-Frame-Options "SAMEORIGIN";
  add_header X-XSS-Protection "1; mode=block";
  add_header X-Content-Type-Options "nosniff";
  add_header Referrer-Policy "no-referrer-when-downgrade";
  add_header Permissions-Policy "interest-cohort=()";

  location /static/ {
    autoindex off;
    alias /app/staticfiles/;
  }
  location /healthcheck {
    return 200;
  }
  location / {
      proxy_pass http://proxy_app;
      proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
      proxy_set_header X-Forwarded-Proto $scheme;
      proxy_set_header Host $http_host;
      proxy_redirect off;
    }
}
